CADxp: multiplier ou divisé la valeur d'un champs - CADxp

Aller au contenu

  • 2 Pages +
  • 1
  • 2

multiplier ou divisé la valeur d'un champs créer un texte pente

#21 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11707
  • Inscrit(e) : 21-décembre 05

Posté 11 février 2018 - 17:54

Citation

tu es sur la Mauvaise Pente (ou Slope) !


Hihi ! ça fait quelques mois déjà et j'ai l'impression de ne pas avancer,..(Toujours pas eu le tps de regarder tes supers docs !!, mais en raccourcit sur le bureau ,Image IPB)
AutoCAD MAP 3D 2018 - Covadis 16.0d
Forum : http://genie-civil.bbactif.com/
0

#22 L'utilisateur est hors-ligne   BenhuR 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 36
  • Inscrit(e) : 21-août 07

Posté 12 février 2018 - 10:40

Bon bah merci , si moi je suis un super utilisateur , vous vous êtes des extrémistes , je reviendrais plus tard pour vous donnez un nouveau défi .

Donc Problème résolu pour moi , j'ai appris le champs formule grâce au screencast .

la solution : %<\AcExpr ((100*%<\_FldPtr 2444499792>%)/%<\_FldPtr 2444499856>%) \f "%lu2%pr2%ps[,%]">%

en rappel de départ :
la distance : %<\AcObjProp Object(%<\_ObjId 140702321951504>%).Length \f "%lu2%pr2">%

ecart Z : %<\AcObjProp Object(%<\_ObjId 140702321951504>%).Delta \f "%lu2%pt4%pr2">%

Sujet résolu merci les geeks

j'ai plus qu'a dynamisé çà en bloc .

Edit : après quelque test , arrhhhh , la distance prise par le champs est la distance réel de l'objet et pas en plan XY , donc ça fausse tout.

Re-edit : je suis trop con , suffit de lire et de comprendre .
ya que se qui ne cherche pas , qui ne trouve rien
0

#23 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7533
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 12 février 2018 - 10:58

Hello

Bien content que l'on ait pu t'aider et resoudre ton probleme !

J'espere que le Derive de ton sujet (En effet c la faute des Extremistes) ne t'a pas trop "perturbe" !?

Bonne Semaine, Bye, lecrabe
Autodesk Expert Elite Team
0

#24 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10819
  • Inscrit(e) : 02-septembre 05

Posté 12 février 2018 - 11:25

Salut,

Il me semble que tu fais toujours l'erreur géométrique que j'ai noté dans mon premier message : la pente n'est pas le rapport entre le dénivelé (delta Z) et la longueur de la ligne, mais le rapport entre le dénivelé et la distance horizontale (longueur de la ligne projetée sur XY).

La formule n'est donc pas :
100 * deltaZ / longueur
mais, en utilisant Pythagore :
100 * deltaZ / sqrt(sqr(deltaX) + sqr(deltaY))

Un screencast.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#25 L'utilisateur est en ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7648
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 12 février 2018 - 12:06

Coucou

Si je peux me permettre : je confirme
Décidément on n'est pas d'accord avec Lili2006 !
Les pentes en % sont bel et bien ce qu'exprime (gile), je confirme à nouveau
Ils doivent être bien formés les jeunes du lycée !!! (hihi)

Amicalement tout de même !


Éternel débutant ...
Les bases AutoLisp
0

#26 L'utilisateur est hors-ligne   BenhuR 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 36
  • Inscrit(e) : 21-août 07

Posté 12 février 2018 - 12:13

Oui oui , j'ai repris pas a pas ton explication et ca donne ca

%<\AcExpr (100*(%<\_FldPtr 1835706640>%/sqrt(%<\_FldPtr 1835693776>%*%<\_FldPtr 1989028400>%²+%<\_FldPtr 1989029008>%*%<\_FldPtr 1989029104>%²))) \f "%lu2%pr2%ps[,%]">%

et j'ai contrôlé avec l'outil pente de Civil 3D , ça fonctionne.

ensuite j'ai copier se texte et mis dans une cotation linéaire dynamique et j'ai maintenant un texte type tronçon assainissement . avec distance et pente .

je re découvre les champs avec tout ça .

merci.

NB : cool aussi de pouvoir afficher l'echelle d'une FMULT , mes présentations n'en finissent pas de s'automatiser .
ya que se qui ne cherche pas , qui ne trouve rien
0

#27 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7533
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 12 février 2018 - 12:21

Hello Didier et Lilian

OUI mais la notion de Pente dans les environs d'Arcachon
et plus specialement (pour Lilian) sur la Dune du Pilat est RELATIVE ...

Rien qu'en marchant dans la Pente, tu la modifies !
Donc la mesure a un Instant T n'est qu'une probabilite !?

En mesurant, tu "pertubes" la donnee !!

Bonne Semaine, Bye, lecrabe
Autodesk Expert Elite Team
0

#28 L'utilisateur est en ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7648
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 12 février 2018 - 14:31

Coucou

Eh oui, la pente est plus sympathique que la rampe, il faut tenir la rampe si on ne veut pas subir de pente
Dune du Pilat sans doute, mais au niveau du sable je suis dosé...
D'ailleurs son pays est si plat qu'ils ne peuvent pas faire de ski nautique n'ayant pas de lacs en pente...
Oui, j'ai compris je sors, je regrette, mais faut me comprendre j'ai personne à qui parler moi.

Amicalement

Éternel débutant ...
Les bases AutoLisp
0

#29 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7533
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 12 février 2018 - 14:37

Hello Didier

Mais je croyais que tu avais adopte un charmant Fennec des Sables !?
En plus tu peux lui raconter ce que tu veux car il ne te contredira pas !!

Bye, lecrabe
Autodesk Expert Elite Team
0

#30 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 7533
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42)

Posté 12 février 2018 - 15:33

Hello Gilles

1) Suite a ta routine PolyLength (Msg du 11/02/2018 03:04) : MERCI

2) Immediatement j'en ai derive la routine PolyAreaField ... Voir plus loin ...

3) Donc ces 2 routines generent un Champ dynamique qui est le total general des longueurs ou surfaces des N polylignes selectionnees

4) Et bien il semble ne pas y avoir de "limite" !
Sauf bien sur le temps necessaire a construire l'expression DELIRANTE de la somme des N champs (longueur ou surface) de chaque Polyligne !

5) J'ai scotche mon bon vieux Xeon a 3.5 Ghz environ pendant 2/3 mn pour avoir le resultat sur approximativement 2000 polylignes ... Je suis quand meme IMPRESSIONNE par AutoCAD ...

6) En travaillant manuellement a construire les champs 1 par 1 puis a construire la somme, je n'avais jamais depasse 10-20 Polylignes ...

7) ENCORE MERCI Gilles !!!

Bye, lecrabe

 
;; 
;; http://cadxp.com/topic/45380-multiplier-ou-divise-la-valeur-dun-champs/page__pid__262865#entry262865
;; 
;; Routine: PolyAreaField par GC 
;;
;; -- ATTENTION: on ne traite QUE les Polylignes -- 
;; 
;; SVP Changer avant Execution la variable TEXTSIZE pour avoir la bonne hauteur voulue du MTEXT (FIELD)
;; 
;;

 
(defun c:PolyAreaField (/ doc expr ss) 

  (vl-load-com) 

  (if
    (and
      (ssget '((0 . "*POLYLINE") (-4 . "<NOT") (-4 . "&") (70 . 112) (-4 . "NOT>")))
      (setq pt (getpoint "\nSpecifiez le point d Insertion: "))
    )
     (progn
       (setq doc  (vla-get-ActiveDocument (vlax-get-acad-object))
             expr "%<\\AcExpr 0"
       )
       (vlax-for pl (setq ss (vla-get-ActiveSelectionSet doc))
         (setq expr (strcat
                      expr
                      "+%<\\AcObjProp Object(%<\\_ObjId "
                      (vla-GetObjectIdString (vla-get-Utility doc) pl :vlax-false)
;;                    ">%).Length>%" 
                      ">%).Area>%" 
                    )
         )
       )
       (vla-Delete ss)
       (setq expr (strcat expr " \\f \"%lu2%pr1%ps[Surface totale: ,m2]\">%")) ; formatage du champ
       (terpri)
       (prompt expr)
       (vla-AddMText
         (vla-get-Block (vla-get-ActiveLayout doc))
         (vlax-3d-point pt)
         0.0
         expr
       )
     )
  )
  (princ)
)


Autodesk Expert Elite Team
0

#31 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11707
  • Inscrit(e) : 21-décembre 05

Posté 12 février 2018 - 19:32

Bonsoir à toutes et tous,

Bah quoi, j'ai juste écrit

Citation

Pente = DeltaZ/dh


Il est ou le problème ?, c'est bien la définition !

Ce que cite BenhuR est une déclivité (et les marcheurs connaissent la différence entre une pente et une déclivité,..)

Citation

100 * deltaZ / longueur


Citation

Rien qu'en marchant dans la Pente, tu la modifies !


C'est clur !!Image IPB

AutoCAD MAP 3D 2018 - Covadis 16.0d
Forum : http://genie-civil.bbactif.com/
0

Partager ce sujet :


  • 2 Pages +
  • 1
  • 2


Réponse rapide

  

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)